@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,600');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
@font-face {
  src: url(../fonts/Gobold-Bold.ttf);
  font-family: impatiente;
}

:root {
    --bg_blue: #0C161F;
    --bg_black: #000000;
    --bg_beige: #F1E9C1;
    --bg_green: #58594C;
    --clr_grey: #393C35;
    --clr_white: #CACACA;
    --clr_pink: #ED46B1;
    --clr_orange: #f35f18;
    --clr_lnst: #ff8080;
    --clr_light_blue: #1A344B;
}

*, *::before, *::after {
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    overflow-x: hidden;
    margin: 0;
    width: 100vw;
	background: black;
    color: var(--clr_white);
    font-family: 'Open Sans', sans-serif;;
    font-weight: 400;
}



/**************************  START NAV  **************************/
header {
    z-index: 999;
    position: relative;
    width: 100%;
    background: var(--bg_blue);
    text-align: center;
}

header h1 {
    margin: 0;
    padding: 0.3em;
    color: var(--clr_white);
    font-family: impatiente;
    text-transform: uppercase;
}

.logo a {
    text-decoration: none;
    font-size: 2rem;
    font-weight: bold;
    color: inherit;
}

/***Burger***/
.nav-toggle {
    position: absolute !important;
    top: -9999px !important;
    left: -9999px !important;
}

.nav-toggle:focus~.nav-toggle-label {
    outline: 3px solid rgba(lightblue, .75);
}

.nav-toggle-label {
    position: absolute;
    display: flex;
    align-items: center;
    top: 0;
    left: 0;
    margin-left: 1em;
    height: 100%;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
    position: relative;
    display: block;
    border-radius: 2px;
    width: 2em;
    height: 3px;
    background: var(--clr_white);
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
    content: '';
    position: absolute;
}

.nav-toggle-label span::before {
    bottom: 7px;
}

.nav-toggle-label span::after {
    top: 7px;
}

/*** end burger ***/
nav {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: var(--bg_blue);
    text-align: left;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 400ms ease-in-out;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav li {
    margin-top: 1em;
    margin-bottom: 1.5em;
    margin-left: 1em;
}

nav a {
    color: var(--clr_white);
    font-size: 1.2rem;
    text-decoration: none;
    opacity: 0;
    transition: opacity 150ms ease-in-out;
}

nav a:hover {
    color: var(--clr_white);
}

.nav-toggle:checked~nav {
    transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
    opacity: 1;
    transition: opacity 250ms ease-in-out 250ms;
}

nav ul.link-subs {
    padding-left: 1rem;
}

nav label {
    cursor: pointer;
    display: block;
    text-decoration: none;
    font-size: 1.2rem;
    padding: 0;
    opacity: 0;
    transition: opacity 150ms ease-in-out;
}

.nav-toggle:checked~nav label {
    opacity: 1;
    transition: opacity 250ms ease-in-out 250ms;
}

nav #creations {
    display: none
}

nav #creations:checked+ul.link-subs li.has-subs {
    padding: 1rem 1rem;
    height: 3rem;
    color: var(--clr_white);
}

nav li.has-subs {
    overflow: hidden;
    height: 0;
    margin: 0;
    transition: all 0.25s ease-in-out;
}

@media screen and (min-width: 877px) {

  .nav-toggle-label {
        display: none;
  }

  header {
    display: grid;
    grid-template-columns: 0.08fr auto minmax(600px, 3fr) 0.08fr;
  }

  .logo {
    grid-column: 2 / 3;
  }

  nav {
    all: unset; /* this causes issues with Edge, since it's unsupported */
    /* the following lines are not from my video, but add Edge support */
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1, 1);
    background: none;
    top: initial;
    left: initial;
    /* end Edge support stuff */
    grid-column: 3 / 4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
    height: 1.7em;
  }

  nav li {
    margin-top: 0;
    margin-left: 3vw;
    margin-bottom: 0;
    display: flex;
    align-items: center;
  }

  nav a {
    opacity: 1;
    position: relative;
    height: 2em;
    display: flex;
    align-items: center;
  }

  nav a::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .crame::before {
    content: '';
    transform: scale(1, 1);
  }

  nav a:hover::before {
    transform: scale(1, 1);
  }

  nav .creations::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .creations:hover::before {
    transform: scale(1, 1);
  }

  nav label {
    opacity: 1;
    height: 2em;
    display: flex;
    align-items: center;
  }

  .creations {
    flex-direction: column;
    width: 125px;
    position: relative;
  }

  .link-subs {
    flex-direction: column;
  }

  nav #creations:checked+ul.link-subs li.has-subs {
    background-color: var(--bg_blue);
    padding: 2rem 0 2rem 0;
    color: var(--clr_white);
  }

  nav .link-subs {
    padding: 0;
    position: absolute;
    width: 16rem;
    top: 44px;
    left: -1rem;
    ;
  }

  nav li.has-subs a {
    margin: 1rem;
  }
}

@media screen and (min-width: 1300px) {
  header {
    grid-template-columns: 0.5fr auto minmax(600px, 3fr) 0.5fr;
  }
}

/**************************  END NAV  **************************/





/**************************  START MAIN  **************************/

.container {
    width: 100%;
    margin-top: 10rem;
    margin-left: auto;
    margin-right: auto;
    /*border: 5px solid grey;*/
  }

   /* xs */
   @media (min-width: 475px) {
    .container {
      max-width: 475px;
    }
  }
  
  /* sm */
  @media (min-width: 640px) {
    .container {
      max-width: 640px;
    }
  }
  
  /* md */
  @media (min-width: 768px) {
    .container {
      max-width: 768px;
    }
  }
  
  /* lg */
  @media (min-width: 1024px) {
    .container {
      max-width: 1024px;
    }
  }
  
  /* xl */
  @media (min-width: 1280px) {
    .container {
      max-width: 1280px;
    }
  }
  
  /* 2xl */
  @media (min-width: 1536px) {
    .container {
      max-width: 1536px;
    }

    .p {
      font-size: 1.25rem;
    }
  }




/***** CONTAINER__AFFICHE *****/

.container__affiche {
    margin-top: 3rem;
}

.affiche {
    padding: 5rem 0;
    background-image:
    linear-gradient(black 1%, transparent 2%, transparent 98%, black 99%), 
    linear-gradient(to left, black 1%, transparent 2%, transparent 98%, black 99%), 
    url("../img/addvt/jpeg/addvt_affiche-s.jpeg");
    background-size: cover, cover;
    background-repeat: no-repeat, no-repeat, no-repeat;
    background-position: center, center, top -6rem right -79rem;
    margin-bottom: -6rem;
}

.titre {
    min-width: 10rem;
    max-width: 30rem;
    margin: 0;
    padding: 1rem 0 1rem 2rem;
    font-size: 5rem;
    color: var(--bg_beige);
    text-transform: uppercase;
    font-family: impatiente;
}

.citation {
    margin: 3rem auto;
    text-align: center;
}

















/* xs */
@media (min-width: 475px) {
    .affiche {
        background-position: center, center, top -6rem right -73rem;
    }
}

/* sm */
@media (min-width: 640px) {
    .affiche {
        background-position: center, center, top -6rem right -68rem;
    }
    .citation {
        width: 60%;
        max-width: 40rem;
        margin: 3rem auto;
        text-align: center;
    }
}

/* md */
@media (min-width: 768px) {
  .titre {
    padding: 5rem 0 0 5vw;
  }

  .affiche {
    background-position: center, center, top -6rem right -68rem;
}
}

/* lg */
@media (min-width: 1024px) {
  .titre {
    padding: 5rem 0 0 5vw;
  }
  .affiche {
    background-position: center, center, top -6rem right -60rem;
}
}

/* xl */
@media (min-width: 1280px) {
    .titre {
      padding: 3rem 0 0 7rem;
    }
    .affiche {
        background-position: center, center, top -6rem right -55rem;
    }
  }

/* 2xl */
@media (min-width: 1536px) {
    .affiche {
        background-position: center, center, top -6rem right -45rem;
    }
}









/***** CONTAINER__SYNOPSIS *****/


.illustration {
display: flex;
justify-content: start;
align-items: center;
height: 40rem;
background-image:
linear-gradient(black 1%, transparent 2%, transparent 98%, black 99%), 
linear-gradient(to left, black 1%, transparent 2%, transparent 98%, black 99%), 
url("../img/addvt/jpeg/addvt_illustration-s.jpeg");
background-size: contain, contain, cover;
background-repeat: no-repeat, no-repeat, no-repeat;
background-position: center, center, top -8rem left -12rem;
margin-bottom: -8rem;
}


.synopsis {
    width: 75%;
    margin: 0 auto 5rem auto;
    padding: 0 0.5rem;
    line-height: 1.5rem;

}

.synopsis p strong {
    color: var(--bg_beige);
    font-size: 3rem;
    line-height: 0px;
    font-weight: bold;
    text-transform: uppercase;
  }
















/* xs */
@media (min-width: 475px) {
}

/* sm */
@media (min-width: 640px) {
}

/* md */
@media (min-width: 768px) {
}

/* lg */
@media (min-width: 1024px) {

    .illustration {
        order: -1;
        width: 50%;
        background-position: center, center, top -8rem left -12rem;
        }

    .container__synopsis {
        display: flex;
        justify-content: space-around;
        align-items: center;
        height: 40rem;
        margin: 0 auto;
    }
    .synopsis {
        width: 30%;
        margin: 0;
        line-height: 1.5rem;
    }
}

/* xl */
@media (min-width: 1280px) {
    .container__synopsis {
        height: 55rem;
    }
  }

/* 2xl */
@media (min-width: 1536px) {
    .container__synopsis {
        height: 55rem;
        background-size: contain;
    }
    .synopsis {
        font-size: 1.25rem;
    
    }
}




/***** CONTAINER__CREDITS *****/


.credits {
    margin: 3rem 1rem;
    text-align: center;
  }
  
  .credits ol {
    padding: 0;
  }
  
  .credits ol li {
    padding: 0.25rem;
  }
  
  .credits ol li strong {
    color: var(--bg_beige);
  }

  .creation {
    text-transform: uppercase;
    font-size: 1.5rem;
    font-family: impatiente;
    margin-bottom: 1rem;
  }

 .image_credits {
    height: 40rem;
    background: linear-gradient(black 1%, transparent 2%, transparent 98%, black 99%), 
                linear-gradient(to left, black 1%, transparent 2%, transparent 98%, black 99%), 
                url("../img/addvt/jpeg/addvt_credits-s.jpeg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center, center, top left -7rem;
  }

  /* xs */
  @media (min-width: 475px) {

  }
  
  /* sm */
  @media (min-width: 640px) {
    .image_credits {
        background-position: center, center, top left 3.5rem;
    }
  }
  
  /* md */
  @media (min-width: 768px) {
    .container__credits {
        display: flex;
        flex-direction: row;
        align-items: center;
    }

    .credits {
        width: 50%;
        margin: 3rem 2rem;
    }

    .image_credits {
        width: 50%;
        background-position: center, center, top left -14rem;
    }
  }
  
  /* lg */
  @media (min-width: 1024px) {
    .credits {
        margin: 3rem 3rem;
    }
  }
  
  /* xl */
  @media (min-width: 1280px) {
    .credits {
        margin: 3rem 5rem;
    }
    .image_credits {
        background-position: center, center, top center;
    }
  }
  
  /* 2xl */
  @media (min-width: 1536px) {
  }


















  /* xs */
  @media (min-width: 475px) {
  }
  
  /* sm */
  @media (min-width: 640px) {
  }
  
  /* md */
  @media (min-width: 768px) {
  }
  
  /* lg */
  @media (min-width: 1024px) {
  }
  
  /* xl */
  @media (min-width: 1280px) {
    }
  
  /* 2xl */
  @media (min-width: 1536px) {
  }





/**************************  START TEASER  **************************/


.container__teaser {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    width: 80%;
  }

  .container__teaser::after{
    content:"";
    display: block;
    width: 100%;
    padding-bottom: calc(315/560*100%);
  }

  .teaser{
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
  }

  @media screen and (min-width: 1024px) {

    .container__teaser {
      width: 50%;
    }

  }

 

/**************************  END TEASER  **************************/

/**************************  START PRESS  **************************/

.credit-extrait {
    text-align: right;
  }
  
  .presse {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    margin: 5rem 5vw;
  }

  .extrait {
    margin: 2rem 1rem;
    position: relative;
  }

  .extrait blockquote::before {
    content: "\201C";
    position: absolute;
    top: -2rem;
    left: -1rem;
    margin: 5px 20px;
    color: var(--bg_beige);
    line-height: 5px;
    font-size: 4rem;
    font-weight: bold;
  }

  .extrait blockquote::after {
    content: "\201D";
    position: absolute;
    bottom: -2rem;
    right: -1rem;
    margin: 5px 20px;
    color: var(--bg_beige);
    line-height: 5px;
    font-size: 4rem;
    font-weight: bold;
  }
  

  
   @media screen and (min-width: 1000px) {
  
     .presse {
       display: flex;
       flex-direction: row;
       justify-content: space-around;
       align-items: stretch;
     }

     .extrait {
        width: 50%;
     }
   }
  
  /**************************  END PRESS  **************************/









/**************************  START FOOTER  **************************/


footer {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr;
    grid-template-areas:
      "icons"
      "copyright";
    padding: 1rem 0;
    background: var(--bg_blue);
  }
  
  .copyright {
    display: flex;
    justify-content: center;
    align-items: center;
    grid-area: copyright;
    margin: 1rem auto;
    max-width: 300px;
    text-align: center;
    font-size: 10px;
  }
  
  .icons_container {
    display: flex;
    justify-content: center;
    align-items: center;
    grid-area: icons;
  }
  
  .link_facebook {
    width: auto;
    height: 50px;
  }
  
  .link_instagram {
    width: auto;
    height: 50px;
  }
  
  .icon-facebook {
    background-color: var(--bg_black);
    border-radius: 50%;
    margin-right: 7vw;
    width: auto;
    height: 50px;
  }
  
  .icon-facebook:hover, .icon-facebook:active {
    background-color: var(--clr_grey);
  }
  
  .icon-instagram {
    background-color: var(--bg_black);
    border-radius: 50%;
    margin-left: 7vw;
    width: auto;
    height: 50px;
  }
  
  .icon-instagram:hover, .icon-instagram:active {
    background-color: var(--clr_grey);
  }
  
  
  
  
  @media screen and (min-width: 500px) {
  
    footer {
      display: grid;
      grid-template-columns: 2fr 1fr;
      grid-template-rows: 1fr;
      grid-template-areas:
        "copyright icons";
      padding: 2rem 0;
      background: var(--bg_blue);
    }
  
    .copyright {
      display: flex;
      justify-content: center;
      align-items: center;
      grid-area: copyright;
      margin: 0px auto;
      max-width: 300px;
      text-align: center;
      font-size: 10px;
    }
  
    .icons {
      display: flex;
      justify-content: center;
      align-items: center;
      grid-area: icons;
    }
  
    .icon-facebook {
      margin-right: 1vw;
      width: auto;
      height: 50px;
    }
  
    .icon-instagram {
      margin-left: 1vw;
      width: auto;
      height: 50px;
    }
  
  }
  
  
  
  @media screen and (min-width: 800px) {
  
    footer {
      display: grid;
      grid-template-columns: 1fr 1fr 1fr 1fr;
      grid-template-rows: 1fr;
      grid-template-areas:
        "empty copyright copyright icons";
      background: var(--bg_blue);
    }
  
    .empty {
      grid-area: empty;
    }
  
    .copyright {
      grid-area: copyright;
    }
  
    .icons {
      grid-area: icons;
    }
  }
  
  /**************************  END FOOTER  **************************/
  

